#ifndef XFXELEMDEFVISUALS_H
#define XFXELEMDEFVISUALS_H

#include "xasset.h"
#include "xfxelemmarkvisuals.h"
#include "xfxelemvisuals.h"

class XFxElemDefVisuals : public XAsset
{
public:
    explicit XFxElemDefVisuals();
    ~XFxElemDefVisuals() = default;

    void Clear() override;
    void ParseData(XDataStream *aStream) override;

private:
    QVector<XFxElemMarkVisuals> mMarkArray;
    QVector<XFxElemVisuals> mArray;
    XFxElemVisuals mInstance;
};

#endif // XFXELEMDEFVISUALS_H
